Bug 464031 - Window border repaints not reflected on screen
Window border repaints not reflected on screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 19:49 EDT by xgl
Modified: 2018-04-11 03:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:44:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/xorg.conf (2.15 KB, text/plain)
2008-09-25 19:49 EDT, xgl
no flags Details
/var/log/Xorg.0.log (20.54 KB, text/plain)
2008-09-25 19:49 EDT, xgl
no flags Details
Xorg.0.log in the (working) Fedora 8 setup (34.55 KB, text/plain)
2008-10-01 14:48 EDT, xgl
no flags Details
Output of xdpyinfo in the (non-working) Fedora 9 setup (2.45 KB, text/plain)
2008-10-01 14:49 EDT, xgl
no flags Details
Output of xdpyinfo in the (working) Fedora 8 setup (3.25 KB, text/plain)
2008-10-01 14:52 EDT, xgl
no flags Details

  None (edit)
Description xgl 2008-09-25 19:49:00 EDT
Created attachment 317745 [details]
/etc/X11/xorg.conf

Description of problem:

I use DWM window manager (http://dwm.suckless.org), which draws a one-pixel border around client windows with XSetWindowBorder. The border around the current window with focus is a different color from those around other windows. When I upgraded to Fedora 9 and the new xorg-x11-drv-vmware, the borders no longer refresh when (re)drawn. Rather, I have to switch to a different (WinXP) host application and then back to VMware to see the updated borders. I don't see this problem when using xorg-x11-drv-vesa.

Version-Release number of selected component (if applicable):

Host OS: Windows XP SP3
Display Adaptor: Mobile Intel 945GM

VMware Workstation 6.0.5 build-109488
open-vm-tools-2008.09.03-114782
xorg-x11-drv-vmware-10.16.0-1.fc9.i386
xorg-x11-server-Xorg-1.5.0-2.fc9.i386
libpciaccess-0.10.3-2.fc9.i386
libX11-1.1.4-1.fc9.i386
dwm 5.2


How reproducible: 100%

Steps to Reproduce:
1. startx
2. launch two xterms and switch between them
3. switch to host app and then back to VMware
  
Actual results:

In step 2, the borders do not appear. After step 3, the borders appear, but do not update.


Expected results:

The window borders should update as they are drawn and as the focus changes from window to window.


Additional info:

This did not happen with xorg-x11-drv-vmware-10.15.2-1.fc8, but that version is no longer compatible with my xorg-x11-server, probably because of changes relating to libpciaccess.
Comment 1 xgl 2008-09-25 19:49:59 EDT
Created attachment 317746 [details]
/var/log/Xorg.0.log
Comment 2 Adam Jackson 2008-09-30 15:50:35 EDT
Curious.  This is unlikely to be the video driver's fault though, the driver has no explicit knowledge of border painting.

The only thing I can think of that might have affected this would be the PaintWindow rewrite since 1.3.  Do you see this in a normal (hardware-backed) X server?
Comment 3 xgl 2008-09-30 20:31:03 EDT
Sorry, I don't have a hardware-backed setup handy at the moment. However, I don't see this behavior when I switch to the the VESA driver (xorg-x11-drv-vesa-2.0.0-1.fc9.i386) while keeping the rest of the environment constant.
Comment 4 xgl 2008-10-01 14:48:23 EDT
Created attachment 319145 [details]
Xorg.0.log in the (working) Fedora 8 setup

This is included for contrast with the one from the current non-working setup. Diffing the two, I notice much difference in the PCI info.
Comment 5 xgl 2008-10-01 14:49:30 EDT
Created attachment 319146 [details]
Output of xdpyinfo in the (non-working) Fedora 9 setup
Comment 6 xgl 2008-10-01 14:52:40 EDT
Created attachment 319149 [details]
Output of xdpyinfo in the (working) Fedora 8 setup

This is included for contrast with the one from the current non-working setup. Diffing the two, I find that the current setup has fewer visuals.
Comment 7 xgl 2008-10-01 14:58:18 EDT
Also possibly relevant: my new, Fedora 9, setup no longer detects the default display mode of 1680x1050 ("no mode of this name"). I had to include modelines in xorg.conf to obtain the correct resolution. This was not necessary in my old, Fedora 8, setup.
Comment 8 xgl 2008-11-19 16:49:26 EST
I downgraded to xorg-x11-server-Xorg-1.3.0.0-47.fc8.i386 and xorg-x11-drv-vmware-10.15.2-1.fc8.i386 and the system is behaving properly again.
Comment 9 xgl 2008-12-16 13:06:33 EST
This behavior also occurs with VMware Workstation 6.5.1 build-126130. I'm also beginning to suspect the PaintWindow rewrite in the X server.
Comment 10 xgl 2008-12-18 17:30:50 EST
I upgraded to Fedora 10, with xorg-x11-server-Xorg-1.5.3-5.fc10.i386, and this behavior still occurs.
Comment 11 xgl 2009-04-06 11:49:05 EDT
I upgraded to xorg-x11-server-Xorg-1.5.3-15.fc10.i386, libX11-1.1.5-2.fc10.i386, and VMware 6.5.2 build-156735, but this behavior still occurs.
Comment 12 xgl 2009-06-23 23:04:18 EDT
I upgraded to xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586,
libX11-1.2.1-2.fc11.i586, and xorg-x11-drv-vmware-10.16.0-3.fc11.i586, but this behavior still occurs.
Comment 13 Matěj Cepl 2009-11-05 13:19:56 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 xgl 2009-11-09 13:29:29 EST
I upgraded to xorg-x11-server-Xorg-1.6.4-0.1.fc11.i586,
libX11-1.2.2-1.fc11.i586, xorg-x11-drv-vmware-10.16.0-3.fc11.i586, and VMware Workstation 6.5.3 build-185404, on NVIDIA Quadro 290 with 256 MB, but this
behavior still occurs.
Comment 15 xgl 2009-11-21 13:39:22 EST
I upgraded to Fedora 12, but this behavior still occurs.
Comment 16 Bug Zapper 2010-04-27 08:15:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-06-28 06:44:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.